apiVersion: external-secrets.io/v1beta1
kind: ClusterSecretStore
metadata:
  name: gitlab-secret-store
spec:
  provider:
    gitlab:
      auth:
        SecretRef:
          accessToken:
            name: gitlab-secret
            namespace: external-secrets
            key: token
      projectID: "35085242"
